--- title: "Get New Hosts" slug: "get-new-hosts-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:33Z published: 2026-11-19T12:57:33Z canonical: "docs.trellix.com/get-new-hosts-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get New Hosts This URL gets the list of new hosts. ### Resource URL GET /ntbamonitors/{ntbaId}/newhosts? TopN= ### Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `ntbaId` | NTBA monitor id | Number | Yes | | `TopN` | Number of top rows, default 50. | Number | No | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `newHostsOnNetwork` | List of hosts | Array | Details of newHostsOnNetwork: | Field Name | Description | Data Type | | --- | --- | --- | | `endpointIp` | Host IP | String | | `hostId` | Host id | Number | | `lastseen` | Last seen | String | | `zone` | Zone details | String | ### Example **Request** GET [https:///sdkapi/ntbamonitors/1006/newhosts](https://<NSM_IP>/sdkapi/ntbamonitors/1006/newhosts%20) **Response** ``` { "newHostsOnNetwork":[{" endpointIp":"10.10.10.60","hostId":62,"zone":"Default Inside Zone","lastSeen":"2013-08-27 16:32:48"}] } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 4301 | Invalid duration | | 2 | 400 | 4302 | Invalid time format | | 3 | 400 | 4303 | Start time is greater than end time | | 4 | 400 | 4304 | Invalid date format | | 5 | 400 | 4305 | Start/End date is not provided | | 6 | 400 | 4306 | Invalid NTBA id |